﻿@model Avira.MarketingResearch.Model.ViewModels.CompanyProfile.CompanyDetailsInsertUpdateViewModel

@using Avira.MarketingResearch.Model.ViewModels.CompanyProfile

@{
    ViewData["Title"] = "Index";
    Layout = "~/Views/Shared/_LayoutWithCompanyTabAndLeftMenu.cshtml";
}

<link href="~/assets/css/avira-custom.css" rel="stylesheet" />
<script src="~/assets/plugins/jquery/jquery-3.3.1.min.js"></script>
<script src="~/assets/js/page-table-manage.demo.min.js"></script>


<script>
    $(document).ready(function () {

        $('input[type="text"]').attr("autocomplete", "off");

        $("#ClearBtn").click(function () {
            $(this).closest('form').find("input[type=text], textarea").val("");
        });

        $(".phoneNumber").attr('maxlength', '10');

        $(".ddlSubComp").on('change', function () {
            var ddl = $(this);
            var ddlId = $(ddl).attr("id");
            $("." + ddlId).val($("#" + ddlId + " option:selected").text());
        });

        $(".valueKeyUp").keyup(function (e) {
            var val = $(this).val();
            if (isNaN(val)) {
                val = val.replace(/[^0-9\.]/g, '');
                if (val.split('.').length > 2)
                    val = val.replace(/\.+$/, "");
            }
            $(this).val(val);
        });


        $("#dropDownCompanyId").change(function () {
            var CompanyId = $('option:selected').val();
            var ProjectId = '@ViewBag.ProjectId';
            window.location.href = '/CompanyFundamental/Index?CompanyId=' + CompanyId + '&ProjectId=' + ProjectId;
        });

        $("#employeeNameId").keypress(function (e) {
            var arr = "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz ";
            var code;
            if (window.event)
                code = e.keyCode;
            else
                code = e.which;
            var char = keychar = String.fromCharCode(code);
            if (arr.indexOf(char) == -1)
                return false;
        });

        $(".phoneNumber").keypress(function (e) {
            var arr = "0123456789";
            var code;
            if (window.event)
                code = e.keyCode;
            else
                code = e.which;
            var char = keychar = String.fromCharCode(code);
            if (arr.indexOf(char) == -1)
                return false;
        });


        function validateUploadedFile(e) {
            //Get reference of FileUpload
            var fileUpload = $("#files")[0];
            var files = fileUpload.files;

            for (var i = 0; i != files.length; i++) {
                formData.append("files", files[i]);
                formData.append('CompanyId', companyID);
            }

            fileName = fileUpload.files.item(0).name;
            fileExtension = fileName.substr(fileName.lastIndexOf('.') + 1, fileName.length);

            //Check whether the file is valid Image.
            var regex = new RegExp("([a-zA-Z0-9\s_\\.\-:])+(.jpg|.png|.gif)$");
            if (regex.test(fileUpload.value.toLowerCase())) {
                //Check whether HTML5 is supported.
                if (typeof (fileUpload.files) != "undefined") {
                    //Initiate the FileReader object.
                    var reader = new FileReader();
                    //Read the contents of Image File.
                    reader.readAsDataURL(fileUpload.files[0]);
                    reader.onload = function (e) {
                        //Initiate the JavaScript Image object.
                        var image = new Image();
                        //Set the Base64 string return from FileReader as source.
                        image.src = e.target.result;
                        Base64String = e.target.result;
                        image.onload = function () {
                            //Determine the Height and Width.
                            var height = this.height;
                            var width = this.width;
                            if (height < 500 || width < 200) {
                                return true;
                            }
                            else {
                                alert("Uploaded image has not valid Height & Width.");
                                location.reload(true);
                            }
                        };
                    }
                } else {
                    alert("This browser does not support HTML5.");
                    location.reload(true);
                }
            } else {
                alert("Please select a valid Image file.");
                location.reload(true);
            }
        }
    });
</script>

@using (Html.BeginForm("Index", "CompanyFundamental", FormMethod.Post, new { enctype = "multipart/form-data" }))
{
    <div id="content" class="content">

        <div class="section-container section-with-top-border">
            <div class="section-with-top-border">
                <div class="row">
                    <div class="col-lg-6">
                        <div class="clearfix">
                            <h5 class="m-t-0">Project Name: @ViewBag.ProjectName</h5>
                        </div>
                    </div>
                    <div class="col-lg-6">
                        <div class="clearfix">
                            <h5 class="m-t-0">Company Name: @ViewBag.CompanyName</h5>
                        </div>
                    </div>
                </div>
            </div>
            @if (ViewBag.Message != null)
            {
                <div class="alert alert-success alert-bordered show m-b-10">
                    <strong>Info!</strong>
                    @ViewBag.Message
                    <span class="close" data-dismiss="alert">×</span>
                </div>
            }
            <div class="form-horizontal" data-parsley-validate="true" name="demo-form">
                <div class="form-group">
                    <label class="col-form-label col-sm-2 p-l-4" for="CompanyName">
                        Company Name <span class="text-danger">*</span>
                    </label>
                    <div class="col-sm-3">

                        @Html.RadioButtonFor(model => model.IsNewCompany, false, new { id = "rdbExisting" })Existing
                        @Html.RadioButtonFor(model => model.IsNewCompany, true, new { id = "rdbNew" })New

                        @Html.HiddenFor(Model => Model.ProjectId)
                        @Html.DropDownListFor(Model => Model.CompanyId, (SelectList)ViewBag.CompaniesList, " Select Company ", new { @class = "form-control selectpicker"@*, multiple = "multiple"*@, data_live_search = "true", @readonly = "readonly", @id = "dropDownCompanyId", @onchange = "Client_CompanyChange()" })
                        @Html.EditorFor(Model => Model.CompanyName, new { htmlAttributes = new { @class = "form-control", placeholder = "Enter new company name" } })
                    </div>

                    <div class="col-sm-3">
                        <div class="custom-file">
                            <div id="form" name="form" action="/uploader" enctype="multipart/form-data" method="post">
                                <div class="buttons">
                                    <div class="upload-button">
                                        <input id="file" name="File" type="file" size="1" onchange="validateUploadedFile(this);" />
                                    </div>
                                </div>
                            </div>
                            @Html.ValidationMessageFor(e => e.File, null, new { @class = "text-danger" })
                            @Html.HiddenFor(e => e.ImageActualName)
                            @Html.HiddenFor(e => e.ImageDisplayName)
                            @Html.HiddenFor(e => e.ImageURL)
                            @Html.HiddenFor(e => e.File)
                            <label id="UploadedId">Uploaded file @*<span class="text-danger">*</span>*@ : <a target="_blank" href="@String.Concat(ViewBag.ApiBaseURL,Model.ImageURL)">@Model.ImageDisplayName</a></label>

                        </div>
                    </div>

                </div>
                <div class="form-group">
                    <label class="col-form-label col-sm-2 p-l-4" for="website">
                        Nature
                        <span class="text-danger">*</span>
                    </label>
                    <div class="col-sm-6">
                        @foreach (var item in ViewBag.CompanyNatureList as List<CompanyNatureViewModel>)
                        {
                            string checkedString = null;
                            if (Model.NatureId == item.NatureId)
                            {
                                checkedString = "true";
                            }
                            else
                            {
                                checkedString = "false";
                            }
                            <div class="form-check-inline">
                                @Html.RadioButtonFor(Model => Model.NatureId, item.NatureId, new { @checked = checkedString, @class = "NatureId", @name = "NatureId" })
                                <label class="form-check-label" for="radio1">
                                    @item.NatureType
                                </label>
                            </div>
                        }
                    </div>
                </div>
                @for (int i = 0; i < Model.SubsidaryCompanyDetails.Count; i++)
                {
                    <div class="form-group">
                        <label class="col-form-label col-sm-2 p-l-4" for="message">
                            Company subsidiary Names
                        </label>
                        <div class="col-sm-3">
                            @{
                                string classname = "SubsidaryCompanyDetails_" + i + "__CompanySubsidaryId";
                            }
                            @Html.HiddenFor(Model => Model.SubsidaryCompanyDetails[i].SubsidaryCompanyName, new { @class = classname })
                            @Html.DropDownListFor(Model => Model.SubsidaryCompanyDetails[i].CompanySubsidaryId, (SelectList)ViewBag.CompaniesList, "Select", new { @class = "form-control ddlSubComp", @name = "SubcidaryComName" })
                            @*@Html.DropDownListFor(Model => Model.SubsidaryCompanyDetails[i].CompanySubsidaryId, new SelectList(Model.SubsidaryCompanyDetails, "CompanyId", "SubsidaryCompanyName"), "Defaul Value" , new { @id = "SubsidaryCompanyId" }))*@
                            @*@Html.DropDownListFor(Model => Model.SubsidaryCompanyDetails[i].CompanySubsidaryId, new SelectList(ViewBag.CompaniesList.Items, "Value", "Text"), "Select", new { @class = "form-control" })*@
                        </div>
                        <label class="col-form-label col-sm-2 text-right p-l-4" for="message">
                            Company subsidiary
                            Location
                        </label>
                        <div class="col-sm-3">
                            @Html.EditorFor(Model => Model.SubsidaryCompanyDetails[i].SubsidaryCompanyLocation, new { htmlAttributes = new { @class = "form-control" } })
                        </div>
                        <div class="col-sm-2 p-t-5">
                            <button type="submit" name="actionName" id="actionNameId" value="AddCompany" class="btn btn-grey m-b-5"><i class="fas fa-plus-circle" id="strow"></i></button>
                        </div>
                    </div>
                }

                <div class="form-group">
                    <label class="col-form-label col-sm-2 p-l-4" for="message">
                        Company Parent name
                    </label>
                    <div class="col-sm-3">
                        @Html.DropDownListFor(Model => Model.ParentId, (SelectList)ViewBag.CompaniesList, " Select company parent ", new { @class = "form-control", @*multiple = "multiple",*@data_live_search = "true" })
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-form-label col-sm-2 p-l-4" for="message">
                        Location (HQ) @*<span class="text-danger">*</span>*@
                    </label>
                    <div class="col-sm-3">
                        @Html.EditorFor(Model => Model.CompanyLocation, new { htmlAttributes = new { @class = "form-control" } })
                    </div>
                </div>
                <div class="form-group">
                    <div class="col-sm-4">
                        <div class="form-group">
                            <label class="col-form-label col-sm-4 p-l-4">
                                Phone Number
                            </label>
                            <div class="col-sm-8">
                                @Html.EditorFor(Model => Model.Telephone, new { htmlAttributes = new { @class = "form-control phoneNumber" }
                                })
                            </div>
                        </div>
                    </div>
                    <div class="col-sm-4">
                        <div class="form-group">
                            <label class="col-form-label col-sm-5 p-l-4">
                                Phone Number(2)
                            </label>
                            <div class="col-sm-7">
                                @Html.EditorFor(Model => Model.Telephone2, new { htmlAttributes = new { @class = "form-control phoneNumber" }
                                })
                            </div>
                        </div>
                    </div>
                    <div class="col-sm-4">
                        <div class="form-group">
                            <label class="col-form-label col-sm-5 p-l-4">
                                Phone Number(3)
                            </label>
                            <div class="col-sm-7">
                                @Html.EditorFor(Model => Model.Telephone3, new { htmlAttributes = new { @class = "form-control phoneNumber" }
                                })
                            </div>
                        </div>
                    </div>
                </div>
                <div class="form-group">
                    <div class="col-sm-4">
                        <div class="form-group">
                            <label class="col-form-label col-sm-4 p-l-4">
                                Mail Id
                            </label>
                            <div class="col-sm-8">
                                @Html.EditorFor(Model => Model.Email, new { htmlAttributes = new { @class = "form-control" } })
                            </div>
                        </div>
                    </div>
                    <div class="col-sm-4">
                        <div class="form-group">
                            <label class="col-form-label col-sm-5 p-l-4">
                                Mail Id(2)
                            </label>
                            <div class="col-sm-7">
                                @Html.EditorFor(Model => Model.Email2, new { htmlAttributes = new { @class = "form-control" } })
                            </div>
                        </div>
                    </div>
                    <div class="col-sm-4">
                        <div class="form-group">
                            <label class="col-form-label col-sm-5 p-l-4">
                                Mail Id(3)
                            </label>
                            <div class="col-sm-7">
                                @Html.EditorFor(Model => Model.Email3, new { htmlAttributes = new { @class = "form-control" } })
                            </div>
                        </div>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-form-label col-sm-2 p-l-4">Website@*<span class="text-danger">*</span>*@</label>
                    <div class="col-sm-3">
                        @Html.EditorFor(Model => Model.Website, new { htmlAttributes = new { @class = "form-control parsley-validated" } })
                    </div>
                    @*<div class="col-sm-2 p-t-5">
                            <i class="fas fa-plus"></i>
                        </div>*@
                </div>
                <div class="form-group">
                    <label class="col-form-label col-sm-2 p-l-4" for="message">
                        Founded Year@*<span class="text-danger">*</span>*@
                    </label>
                    <div class="col-sm-3">
                        @Html.EditorFor(Model => Model.YearOfEstb, new { htmlAttributes = new { @class = "date-own form-control" } })
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-form-label col-sm-2 p-l-4" for="message">
                        Company Stage@*<span class="text-danger">*</span>*@
                    </label>
                    <div class="col-sm-3">
                        @Html.DropDownListFor(Model => Model.CompanyStageId, (SelectList)ViewBag.CompanyStagesList, " Select company stage ", new { @class = "form-control" })
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-form-label col-sm-2 p-l-4" for="message">
                        Geographies<span class="text-danger">*</span>
                    </label>

                    <div class="col-lg-3">
                        @Html.ListBoxFor(Model => Model.RegionIdArrays, (SelectList)ViewBag.CompanyRegionList, new { id = "PrimInfoddlCoAuthorId", @class = "form-control selectpicker", multiple = "multiple", data_live_search = "true" })
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-form-label col-sm-2 p-l-4" for="message">
                        No. of Employees@*<span class="text-danger">*</span>*@
                    </label>
                    <div class="col-sm-3">
                        @Html.EditorFor(Model => Model.NoOfEmployees, new { htmlAttributes = new { @class = "form-control" } })
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-form-label col-sm-2 p-l-4" for="message">
                        Key Employess@*<span class="text-danger">*</span>*@
                    </label>
                    <div class="col-sm-10">

                        @for (int i = 0; i < Model.KeyEmployee.Count; i++)
                        {
                            <div class="form-group">

                                @Html.HiddenFor(Model => Model.KeyEmployee[i].Id)
                                <div class="col-sm-2">
                                    @Html.EditorFor(Model => Model.KeyEmployee[i].KeyEmployeeName, new { htmlAttributes = new { @class = "form-control", @placeholder = "Enter Employee Name", @id = "employeeNameId" } })
                                </div>
                                <div class="col-sm-3">
                                    @Html.DropDownListFor(Model => Model.KeyEmployee[i].DesignationId, (SelectList)ViewBag.DesignationsList, "Select Designation", new { @class = "form-control", @*multiple = "multiple",data_live_search = "true",*@})
                                </div>
                                <div class="col-sm-2">
                                    @Html.EditorFor(Model => Model.KeyEmployee[i].KeyEmployeeEmailId, new { htmlAttributes = new { @class = "form-control", @placeholder = "Enter Email" } })
                                </div>
                                <div class="col-sm-2">
                                    @Html.EditorFor(Model => Model.KeyEmployee[i].KeyEmployeeComments, new { htmlAttributes = new { @class = "form-control", @placeholder = "Comments" } })
                                </div>
                                @if (ViewBag.CompanyManagerList != null)
                                {
                                    <div class="col-sm-3">
                                        @Html.DropDownListFor(Model => Model.KeyEmployee[i].ManagerId, (SelectList)ViewBag.CompanyManagerList, "Select Manager", new { @class = "form-control" })
                                    </div>
                                }
                            </div>
                        }
                    </div>
                </div>
                <div class="form-group">
                    <div class="col-sm-8">
                    </div>
                    <div class="col-sm-2">
                    </div>
                    <div class="col-sm-2 p-t-5 text-right">
                        <button type="submit" name="actionName" id="actionNameId" value="AddRow" class="btn btn-grey m-b-5"><i class="fas fa-plus-circle" id="strow"></i></button>
                    </div>
                </div>

                <div class="form-group">
                    <label class="col-form-label col-sm-2 p-l-4" for="message">
                        Board of Directors@*<span class="text-danger">*</span>*@
                    </label>
                    <div class="col-sm-10">
                        @for (int i = 0; i < Model.BoardOfDirector.Count; i++)
                        {
                            <div class="form-group">
                                @Html.HiddenFor(Model => Model.BoardOfDirector[i].Id)
                                <div class="col-sm-2">
                                    @Html.EditorFor(Model => Model.BoardOfDirector[i].KeyEmployeeName, new { htmlAttributes = new { @class = "form-control", @placeholder = "Enter Company" } })
                                </div>
                                <div class="col-sm-2">
                                    @Html.EditorFor(Model => Model.BoardOfDirector[i].KeyEmployeeEmailId, new { htmlAttributes = new { @class = "form-control", @placeholder = "Enter Email" } })
                                </div>
                                <div class="col-sm-2">
                                    @Html.EditorFor(Model => Model.BoardOfDirector[i].CompanyBoardOfDirecorsOtherCompanyName, new { htmlAttributes = new { @class = "form-control", @placeholder = "Enter Other Company" } })
                                </div>

                                <div class="col-sm-3">
                                    @Html.DropDownListFor(Model => Model.BoardOfDirector[i].DesignationId, (SelectList)ViewBag.DesignationsList, "Select Designation", new { @class = "form-control", @*multiple = "multiple",*@data_live_search = "true" })
                                </div>
                                @if (ViewBag.CompanyManagerList != null)
                                {
                                    <div class="col-sm-3">
                                        @Html.DropDownListFor(Model => Model.BoardOfDirector[i].ManagerId, (SelectList)ViewBag.CompanyManagerList, "Select Manager", new { @class = "form-control" })
                                    </div>
                                }

                            </div>
                        }
                    </div>

                </div>
                <div class="form-group">
                    <div class="col-sm-8">
                    </div>
                    <div class="col-sm-2">
                    </div>
                    <div class="col-sm-2 p-t-5 text-right">
                        <button type="submit" name="actionName" id="actionNameId" value="AddBoD" class="btn btn-grey m-b-5"><i class="fas fa-plus-circle" id="strow"></i></button>
                    </div>
                </div>


                <div class="form-group">
                    <label class="col-form-label col-sm-2 p-l-4" for="message">
                        Company @*Rank<span class="text-danger">*</span>*@
                    </label>
                    <div class="col-sm-2">
                        @Html.EditorFor(Model => Model.RankNumber, new { htmlAttributes = new { @class = "form-control" } })
                    </div>
                    <div class="col-sm-2">
                        @Html.EditorFor(Model => Model.RankRationale, new { htmlAttributes = new { @class = "form-control", @placeholder = "Rationale" } })
                    </div>
                </div>
                @for (int i = 0; i < Model.ShareHoldingPattern.Count; i++)
                {
                    <div class="form-group">
                        <label class="col-form-label col-sm-2 p-l-4" for="message">
                            Share Holding Pattern@*<span class="text-danger">*</span>*@
                        </label>
                        <div class="col-sm-2">
                            @Html.EditorFor(Model => Model.ShareHoldingPattern[i].ShareHoldingName, new { htmlAttributes = new { @class = "form-control", @placeholder = "Share Holding Name" } })
                        </div>
                        <div class="col-sm-2">
                            @Html.DropDownListFor(Model => Model.ShareHoldingPattern[i].EntityTypeId, (SelectList)ViewBag.CompanyEntitynList, " Select Entity ", new { @class = "form-control", @*multiple = "multiple",*@data_live_search = "true" })
                        </div>
                        <div class="col-sm-2">
                            @Html.EditorFor(Model => Model.ShareHoldingPattern[i].ShareHoldingPercentage, new { htmlAttributes = new { @class = "form-control valueKeyUp", @placeholder = "Share Holding Percentage" } })
                        </div>
                        <div class="col-sm-2 p-t-5">
                            <button type="submit" name="actionName" id="actionNameId" value="AddRowShare" class="btn btn-grey m-b-5"><i class="fas fa-plus-circle" id="strow"></i></button>
                        </div>
                    </div>
                }
            </div>
        </div>
        <div class="section-with-top-border p-b-10">
            <div style="text-align: center;">
                <p>
                    @*<a class="btn btn-grey m-b-5" href="company_tracking_page.html">Previous</a>*@
                    <button type="submit" name="actionName" value="Save" class="btn btn-grey m-b-5">Save</button>
                    <button type="submit" name="actionName" value="Clear" class="btn btn-grey m-b-5">Clear</button>
                    <button type="submit" name="actionName" value="Submitted" class="btn btn-grey m-b-5">Submit</button>
                    <button type="button" class="btn btn-grey m-b-5">Approve</button>
                    <button type="button" class="btn btn-grey m-b-5">Reject</button>
                    <button type="submit" name="actionName" value="Next" class="btn btn-grey m-b-5">Next</button>
                    @*<a class="btn btn-grey m-b-5" href="org-structure.html" value="Next">Next</a>*@
                </p>
            </div>
        </div>
    </div>
    <script src="~/assets/plugins/jquery/jquery-3.3.1.min.js"></script>
    <script>
        $(document).ready(function () {
            //debugger;
            $("#CompanyName").hide();
            //$("#CompanyName").val('');

            var isNewCompany = "@Model.IsNewCompany";
            showHideCompanyName(isNewCompany);

            $('input[name="IsNewCompany"]').click(function () {

                var isNewCompany = $(this).val();
                redirectToNewCompany(isNewCompany);

            });

        });
        function redirectToNewCompany(isNewCompany) {
           // alert(isNewCompany);
            @*if (isNewCompany == "False") {
                window.location.href = '/CompanyFundamental/Index?ProjectId=' + '@ViewBag.ProjectId';
                //$("#dropDownCompanyId").parent().show();
                //$("#CompanyName").val('');
                //$("#CompanyName").hide();
            }
            else {*@
            window.location.href = '/CompanyFundamental/Index?ProjectId=' + '@ViewBag.ProjectId&IsNewCompany=' + isNewCompany;

                //$("#dropDownCompanyId").parent().hide();
                //$("#CompanyName").show();
            //}
        }
        function showHideCompanyName(isNewCompany) {
            //alert(isNewCompany);
            if (isNewCompany == "False") {

                $("#dropDownCompanyId").parent().show();
                $("#CompanyName").val('');
                $("#CompanyName").hide();

                $('#rdbExisting').prop("checked", true);
                $('#rdbNew').prop("checked", false);
            }
            else {

                $("#dropDownCompanyId").parent().hide();
                $("#CompanyName").show();

                $('#rdbExisting').prop("checked", false);
                $('#rdbNew').prop("checked", true);
            }
        }
    </script>
}       